raise "Can't run this file directly" unless defined? $lib_dir
# Net Responsibility
#
# Copyright (C) 2007-2011 Scott Severance & Robert Rosman
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# Author:
#	Scott Severance <http://www.scottseverance.us>


# White           1;37m     White        
#  Light Gray        37m     Light Gray   
#  Gray            1;30m     Gray         
#  Black             30m     Black        
#  Red               31m     Red          
#  Light Red       1;31m     Light Red    
#  Green             32m     Green        
#  Light Green     1;32m     Light Green  
#  Brown             33m     Brown        
#  Yellow          1;33m     Yellow       
#  Blue              34m     Blue         
#  Light Blue      1;34m     Light Blue   
#  Purple            35m     Purple       
#  Pink            1;35m     Pink         
#  Cyan              36m     Cyan         
#  Light Cyan      1;36m     Light Cyan   


class TermEsc
	@@colors = {:gray => 37, :black => 30, :red => 31, :green => 32,
				:yellow => 33, :blue => 34, :purple => 35, :cyan => 36}
	@@colors.each do |color, code|
		define_method(color) do |options|
			clr = color
			opts = {:light => false, :underline => false, :reverse => false}
			#options[0] = {} if options[0] == nil
			opts.merge!(options) unless options == nil
			first_num = 0
			first_num += 1 if opts[:light]
			first_num += 4 if opts[:underline]
			first_num += 7 if opts[:reverse]
			a = "\\033[%d;%sm" % [first_num, code]
			print `echo -n '#{a}'`
			""
		end
	end
	
	def titlebar(text)
		print `echo -n '\\033]0;#{text}\\007'`
		""
	end
	
	def transparent
		print `echo -n '\\033[0m'`
		""
	end
end
